Mac OS X update leaves Flash Player vulnerable and confused

I've received a lot of emails about this topic lately so I think a quick post is in order.

I've received a lot of emails about this topic lately so I think a quick post is in order.

Apple has released a new security update for Mac OS X 10.6, 2010-004, which brings the Snow Leopard operating system up to version 10.6.4.

However, the Adobe Flash Player that ships with this update MUST BE UPDATED (version 10.1.53.64) unless users had already installed Flash Player 10.1.53.64 on their systems (users that did install this Flash updater won't be downgraded). The new Flash Player can be found here.

To check which version of Flash Player you have installed on your system, go to the About Flash Player page, or alternatively right-click on any Flash content running in the browser and select "About Adobe Flash Player" from the pop-up menu.

Note: If you use multiple browsers, perform the check for each browser you have installed on your system.

Newsletters

You have been successfully signed up. To sign up for more newsletters or to manage your account, visit the Newsletter Subscription Center.
See All
See All